CWE
908
Advisory Published
Updated

CVE-2022-20008

First published: Mon May 02 2022(Updated: )

In mmc_blk_read_single of block.c, there is a possible way to read kernel heap memory due to uninitialized data. This could lead to local information disclosure if reading from an SD card that triggers errors, with no additional execution privileges needed. User interaction is not needed for exploitation.Product: AndroidVersions: Android kernelAndroid ID: A-216481035References: Upstream kernel

Credit: security@android.com security@android.com

Affected SoftwareAffected VersionHow to fix
Google Android
Google Android
ubuntu/linux<5.4.0-110.124
5.4.0-110.124
ubuntu/linux<5.13.0-41.46
5.13.0-41.46
ubuntu/linux<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws<5.4.0-1073.78
5.4.0-1073.78
ubuntu/linux-aws<5.13.0-1023.25
5.13.0-1023.25
ubuntu/linux-aws<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-5.0<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-5.11<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-5.13<5.13.0-1023.25~20.04.1
5.13.0-1023.25~20.04.1
ubuntu/linux-aws-5.13<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-5.3<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-5.4<5.4.0-1075.80~18.04.1
5.4.0-1075.80~18.04.1
ubuntu/linux-aws-5.4<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-5.8<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-fips<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-aws-hwe<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure<5.4.0-1078.81
5.4.0-1078.81
ubuntu/linux-azure<5.13.0-1023.27
5.13.0-1023.27
ubuntu/linux-azure<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-4.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-5.11<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-5.13<5.13.0-1023.27~20.04.1
5.13.0-1023.27~20.04.1
ubuntu/linux-azure-5.13<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-5.3<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-5.4<5.4.0-1078.81~18.04.1
5.4.0-1078.81~18.04.1
ubuntu/linux-azure-5.4<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-edge<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-fde<5.4.0-1078.81
5.4.0-1078.81
ubuntu/linux-azure-fde<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-fde-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-azure-fips<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-bluefield<5.4.0-1040.44
5.4.0-1040.44
ubuntu/linux-bluefield<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-dell300x<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-fips<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp<5.4.0-1073.78
5.4.0-1073.78
ubuntu/linux-gcp<5.13.0-1025.30
5.13.0-1025.30
ubuntu/linux-gcp<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp-4.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp-5.11<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp-5.13<5.13.0-1025.30~20.04.1
5.13.0-1025.30~20.04.1
ubuntu/linux-gcp-5.13<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp-5.3<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp-5.4<5.4.0-1073.78~18.04.1
5.4.0-1073.78~18.04.1
ubuntu/linux-gcp-5.8<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gcp-fips<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gke<5.4.0-1071.76
5.4.0-1071.76
ubuntu/linux-gke<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gke-4.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gke-5.0<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gke-5.3<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gke-5.4<5.4.0-1071.76~18.04.3
5.4.0-1071.76~18.04.3
ubuntu/linux-gke-5.4<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gkeop<5.4.0-1040.41
5.4.0-1040.41
ubuntu/linux-gkeop<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gkeop-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-gkeop-5.4<5.4.0-1040.41~18.04.1
5.4.0-1040.41~18.04.1
ubuntu/linux-gkeop-5.4<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-hwe<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-hwe-5.11<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-hwe-5.13<5.13.0-41.46~20.04.1
5.13.0-41.46~20.04.1
ubuntu/linux-hwe-5.13<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-hwe-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-hwe-5.4<5.4.0-110.124~18.04.1
5.4.0-110.124~18.04.1
ubuntu/linux-hwe-5.4<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-hwe-5.8<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-hwe-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-hwe-edge<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-ibm<5.4.0-1021.23
5.4.0-1021.23
ubuntu/linux-ibm<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-ibm-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-ibm-5.4<5.4.0-1021.23~18.04.1
5.4.0-1021.23~18.04.1
ubuntu/linux-ibm-5.4<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-intel<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-intel-5.13<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-intel-iotg<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-intel-iotg-5.15<5.15.0-1008.11~20.04.1
5.15.0-1008.11~20.04.1
ubuntu/linux-intel-iotg-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-iot<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-kvm<5.4.0-1063.66
5.4.0-1063.66
ubuntu/linux-kvm<5.13.0-1022.23
5.13.0-1022.23
ubuntu/linux-kvm<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-laptop<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-lowlatency<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-lowlatency-hwe-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-lowlatency-hwe-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-lts-xenial<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-nvidia<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-nvidia-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oem<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oem-5.10<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oem-5.13<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oem-5.14<5.14.0-1027.30
5.14.0-1027.30
ubuntu/linux-oem-5.17<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oem-5.6<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oem-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oem-6.8<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oem-osp1<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oracle<5.4.0-1071.77
5.4.0-1071.77
ubuntu/linux-oracle<5.13.0-1028.33
5.13.0-1028.33
ubuntu/linux-oracle<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oracle-5.0<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oracle-5.11<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oracle-5.13<5.13.0-1028.33~20.04.1
5.13.0-1028.33~20.04.1
ubuntu/linux-oracle-5.13<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oracle-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oracle-5.3<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-oracle-5.4<5.4.0-1071.77~18.04.1
5.4.0-1071.77~18.04.1
ubuntu/linux-oracle-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-raspi<5.4.0-1060.68
5.4.0-1060.68
ubuntu/linux-raspi<5.13.0-1026.28
5.13.0-1026.28
ubuntu/linux-raspi<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-raspi-5.4<5.4.0-1060.68~18.04.1
5.4.0-1060.68~18.04.1
ubuntu/linux-raspi-5.4<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-raspi2<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-raspi2-5.3<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-riscv<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-riscv-5.11<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-riscv-5.15<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-riscv-5.8<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-riscv-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-snapdragon<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-starfive<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-starfive-6.5<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
ubuntu/linux-xilinx-zynqmp<5.17~<5.4.181<5.15.25
5.17~
5.4.181
5.15.25
debian/linux
5.10.218-1
6.1.94-1
6.1.90-1
6.9.8-1
6.9.9-1

Never miss a vulnerability like this again

Sign up to SecAlerts for real-time vulnerability data matched to your software, aggregated from hundreds of sources.

Parent vulnerabilities

(Appears in the following advisories)

Contact

SecAlerts Pty Ltd.
132 Wickham Terrace
Fortitude Valley,
QLD 4006, Australia
info@secalerts.co
By using SecAlerts services, you agree to our services end-user license agreement. This website is safeguarded by reCAPTCHA and governed by the Google Privacy Policy and Terms of Service. All names, logos, and brands of products are owned by their respective owners, and any usage of these names, logos, and brands for identification purposes only does not imply endorsement. If you possess any content that requires removal, please get in touch with us.
© 2024 SecAlerts Pty Ltd.
ABN: 70 645 966 203, ACN: 645 966 203